System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ArgumentException

This exception is thrown if you pass an invalid enumeration value to a method or when setting a property.

The exception thrown when using invalid arguments that are enumerators.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class without a message.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified message.

  The message to display with this exception.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified serialization data and context.

  The to be used for deserialization.
  The destination to be used for deserialization.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified detailed description and the specified exception.

  A detailed description of the error.
  A reference to the inner exception that is the cause of this exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor will create a localized message saying that the parameter was invalid because the value passed in was invalid, and that the value should be one of the values in the enumeration class.

  Initializes a new instance of the class with a message generated from the argument, the invalid value, and an enumeration class.

  The name of the argument that caused the exception.
  The value of the argument that failed.
  A that represents the enumeration class with the valid values.